// SPDX-License-Identifier: Unlicense

#ifndef MILK_H
#define MILK_H

#include "configuration.h"

#ifdef SHR3D_ENVIRONMENT_MILK

#include "typedefs.h"

#include <vector>

namespace Milk
{
  void processAudioFrame(const f32* const inBlock[2], i32 blockSize);
  void tick();
  void render();
}

#endif // SHR3D_ENVIRONMENT_MILK

#endif // MILK_H
